[PyKDE] Problem Building PyQwt

Gerard Vermeulen gvermeul at labs.polycnrs-gre.fr
Sat Dec 15 14:07:24 GMT 2001

On Saturday 15 December 2001 01:18, Coy Krill wrote:
> If I had to make a guess I'd say that qt.sip has become qtmod.sip. That
> probably means that any working PyQwt was built with an obsolete qt.sip.
> Whether or not that would be a problem, I don't know. However, changing all
> references to qt.sip to qtmod.sip still doesn't build because now sip
> complains that QWidget is undefined.
Surely not, your problems are entirely related to your attempt to build
PyQwt with a CVS version of PyQt. PyQwt builds with PyQt-2.5 and PyQt-3.0.
The *.sip.in files are patched by my distutils tools using "sip -V". 
Sip-3.0-cvs breaks the scripts, leaving the *.sip files in a state compatible
with PyQt-2.5. This has to be handled carefully
> Have to catch a bus home shortly, so perhaps while I'm on the bus for the
> next hour someone will either determine my determinations are all washed up
> or they'll verify what I'm thinking. Either way I hope to figure out how to
> fix this tonight. If the bus isn't too bumpy, perhaps I'll try fixing it on
> the ride home.
> Coy
> On Friday 14 December 2001 03:40 pm, you wrote:
> > I just finished building/installing sip 3.0cvs and PyQt3.0cvs and they
> > seem to be working just fine. I just tried to build the PyQwt-20011206
> > and it complains about not finding qt.sip.  Having just scoured my
> > system, I can find no qt.sip.  Any ideas?
> >
> > Coy
> >
> > _______________________________________________
> > PyKDE mailing list    PyKDE at mats.gmd.de
> > http://mats.gmd.de/mailman/listinfo/pykde
> _______________________________________________
> PyKDE mailing list    PyKDE at mats.gmd.de
> http://mats.gmd.de/mailman/listinfo/pykde

More information about the PyQt mailing list